<?php
include '../app/model/db.class.php';
class Controlador
{


    function logros_coordinador()
    {

        $pagina=$this->load_template("");
        $centro = $this->load_page('app/vista/modulos/table_logros_coordinador.php');
        $pagina = $this->replace_content('/\#CENTRO\#/ms' ,$centro , $pagina);
        $this->view_page($pagina);

    }


     function load_template($tit='sin titulo'){
          $pagina = $this->load_page('app/vista/page.html');
          $pagina = $this->replace_content('/\#TITULO\#/ms' ,$tit , $pagina);

          return $pagina;
     }


     private function load_page($page)
     {
        return file_get_contents($page);
     }

     private function view_page($html)
     {
        echo $html;
     }


     private function replace_content($in='/\#CONTENIDO\#/ms',$out,$pagina)
     {
        return preg_replace($in, $out, $pagina);
     }

}

?>